## LassoSamlp2RequestedAuthnContext

LassoSamlp2RequestedAuthnContext — <samlp2:RequestedAuthnContext>

## Functions

LassoNode * | lasso_samlp2_requested_authn_context_new ()

## Types and Values

struct | LassoSamlp2RequestedAuthnContext

## Description

Figure 85. Schema fragment for samlp2:RequestedAuthnContext

    <complexType name="RequestedAuthnContextType">
      <choice>
        <element ref="saml:AuthnContextClassRef" maxOccurs="unbounded"/>
        <element ref="saml:AuthnContextDeclRef" maxOccurs="unbounded"/>
      </choice>
      <attribute name="Comparison" type="samlp:AuthnContextComparisonType" use="optional"/>
    </complexType>

## Functions

### lasso_samlp2_requested_authn_context_new ()

    LassoNode *
    lasso_samlp2_requested_authn_context_new
                                   (void);

Creates a new LassoSamlp2RequestedAuthnContext object.

#### Returns

a newly created LassoSamlp2RequestedAuthnContext object

## Types and Values

### struct LassoSamlp2RequestedAuthnContext

    struct LassoSamlp2RequestedAuthnContext {
    	LassoNode parent;

    	/* elements */
    	GList *AuthnContextClassRef; /* of strings */
    	GList *AuthnContextDeclRef; /* of strings */
    	/* attributes */
    	char *Comparison;
    };